clear all; close all;
addpath ~/data/toolbox
addpath ~/data/toolbox/m_map1.4
addpath ~/data/toolbox/cmocean
addpath ~/data/toolbox/subaxis
exp={'FREE';'AI0'; 'AI1';'AI2'};
dir='../figS6/';
par={'iiceconc' 'iicethic' 'tas'};
mult='6-9';
a=0.01; %0.22
b=0.04; %0.24 
c=1.4; %2.5
d=1.4; %2.5
ii=1
load(['../fig8/' par{ii} '_am_1997-2016_free5.mat']);
figure; hold on;
set(gcf,'position',[10 10 1450 1300]);
ax1=subplot(3,4,1);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
omap=cmocean('dense',10)
nRMS=RMS;
nRMS(isnan(ACC))=NaN;
m_pcolor(lon,lat,nRMS);shading interp;
caxis([0 25]);colormap(ax1,omap);
%--------m_counter--------------------------
nlat=[240:292];
for ix=1:362
for iy=nlat
    msk(ix,iy)=0;
    if nRMS(ix,iy)>=10
        msk(ix,iy)=1;
    end
end
end
m_contour(lon(:,nlat),lat(:,nlat),msk(:,nlat),1,'k-')
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
text(-0.6,-0.1,'SIC','Rotation',90)
text(-0.1,0.6,'FREE')
cb1 = colorbar('Location','eastoutside','Ticks',[0:2.5:25],'Ticklabels',{'0','','5',' ','10',' ','15',' ','20','','25'})% 
pos = get(cb1,'Position');
cb1.Position = [0.28 0.72 0.008 0.2];
cb1.Label.String = 'RMSE (%)';
set(findall(gcf,'-property','FontSize'),'FontSize',14,'fontweight','bold');
axis image off
%%------
ii=2
load(['../fig8/' par{ii} '_am_1997-2016_free5.mat']);
ax5=subplot(3,4,5);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
nRMS=RMS;
nRMS(isnan(ACC))=NaN;
m_pcolor(lon,lat,nRMS);shading interp;
caxis([0 1.0]);colormap(ax5,omap);
%--------m_counter--------------------------
for ix=1:362
for iy=nlat
    msk(ix,iy)=0;
    if nRMS(ix,iy)>=0.5
        msk(ix,iy)=1;
    end
end
end
m_contour(lon(:,nlat),lat(:,nlat),msk(:,nlat),1,'k-')
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
text(-0.6,-0.1,'SIT','Rotation',90)
cb2 = colorbar('Location','eastoutside','Ticks',[0:0.1:1.0],'Ticklabels',{'','0.1','','0.3 ','','0.5 ','','0.7','','0.9',''})% 
pos = get(cb2,'Position');
cb2.Position = [0.28 0.42 0.008 0.2];
cb2.Label.String = 'RMSE (m)';
set(findall(gcf,'-property','FontSize'),'FontSize',14,'fontweight','bold');
axis image off
%% --------
ii=3
load(['../fig8/' par{ii} '_am_1997-2016_free5.mat']);
ax9=subplot(3,4,9);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',35);
nRMS=RMS;
nRMS(isnan(ACC))=NaN;
m_pcolor(LON,LAT,nRMS);shading interp;
caxis([0 5]);colormap(ax9,omap);
m_coast('color','k','linewidth',2);
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
text(-0.68,-0.1,'TAS','Rotation',90)
ln7=0:180; lt7(1:181)=70; ln8=180:360; lt8(1:181)=70;
m_line(ln7,lt7,'color','k','linewidth',2);
m_line(ln8,lt8,'color','k','linewidth',2);
cb3 = colorbar('Location','eastoutside','Ticks',[0:0.5:5],'Ticklabels',{'0','','1',' ','2',' ','3',' ','4','','5'})% 
pos = get(cb3,'Position');
cb3.Position = [0.28 0.12 0.008 0.2];
cb3.Label.String = 'RMSE (K)';
set(findall(gcf,'-property','FontSize'),'FontSize',14,'fontweight','bold');
axis image off
%%
mk=6
ii=1;
load(['../fig8/' par{ii} '_am_1997-2016_free5.mat']) 
rmse=RMS;
for it=2:4
load([dir par{ii} '_amY' mult '_1997-2016_' exp{it} '.mat']);   
rmse=cat(3,rmse,RMS);
end
load('../fig6/cmap10.mat');
it=1
ax2=subplot(3,4,2);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
Ratio=rmse(:,:,4)./rmse(:,:,it);
% tick_s=[0 0.5 0.8 0.9 0.95 1 1.05 1.1 1.2 2]; % string 
% tick_c=[0  1   2   3   4   5   6   7   8  9]; % colorscale
Ratio(Ratio>=2)=9;
Ratio(Ratio>=1.2 & Ratio<2)=8;
Ratio(Ratio>=1.1 & Ratio<1.2)=7;
Ratio(Ratio>=1.05& Ratio<1.1)=6;
Ratio(Ratio>=1   & Ratio<1.05)=5;
Ratio(Ratio>=0.95& Ratio<1)=4;
Ratio(Ratio>=0.9 & Ratio<0.95)=3;
Ratio(Ratio>=0.8 & Ratio<0.9 )=2;
Ratio(Ratio>=0.5 & Ratio<0.8 )=1;
Ratio(Ratio>=0   & Ratio<0.5 )=0;
%
m_pcolor(lon,lat,10-Ratio);shading interp;
caxis([0 10]);colormap(ax2,cmap10);
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
text(-0.15,0.59,['AI2/' exp{it}])
set(findall(gcf,'-property','FontSize'),'FontSize',14);
axis image off
%%--------
it=2
ax3=subplot(3,4,3);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
Ratio=rmse(:,:,4)./rmse(:,:,it);
Ratio(Ratio>=2)=9;
Ratio(Ratio>=1.2 & Ratio<2)=8;
Ratio(Ratio>=1.1 & Ratio<1.2)=7;
Ratio(Ratio>=1.05& Ratio<1.1)=6;
Ratio(Ratio>=1   & Ratio<1.05)=5;
Ratio(Ratio>=0.95& Ratio<1)=4;
Ratio(Ratio>=0.9 & Ratio<0.95)=3;
Ratio(Ratio>=0.8 & Ratio<0.9 )=2;
Ratio(Ratio>=0.5 & Ratio<0.8 )=1;
Ratio(Ratio>=0   & Ratio<0.5 )=0;
%
m_pcolor(lon,lat,10-Ratio);shading interp;
caxis([0 10]);colormap(ax3,cmap10);
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
text(-0.1,0.59,['AI2/' exp{it}])
set(findall(gcf,'-property','FontSize'),'FontSize',14);
axis image off
%----
it=3
ax4=subplot(3,4,4);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
Ratio=rmse(:,:,4)./rmse(:,:,it);
Ratio(Ratio>=2)=9;
Ratio(Ratio>=1.2 & Ratio<2)=8;
Ratio(Ratio>=1.1 & Ratio<1.2)=7;
Ratio(Ratio>=1.05& Ratio<1.1)=6;
Ratio(Ratio>=1   & Ratio<1.05)=5;
Ratio(Ratio>=0.95& Ratio<1)=4;
Ratio(Ratio>=0.9 & Ratio<0.95)=3;
Ratio(Ratio>=0.8 & Ratio<0.9 )=2;
Ratio(Ratio>=0.5 & Ratio<0.8 )=1;
Ratio(Ratio>=0   & Ratio<0.5 )=0;
%
m_pcolor(lon,lat,10-Ratio);shading interp;
caxis([0 10]);colormap(ax4,cmap10);
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
text(-0.1,0.59,['AI2/' exp{it}])
set(findall(gcf,'-property','FontSize'),'FontSize',14);
axis image off
%-----------------
%%
ii=2;
load(['../fig8/' par{ii} '_am_1997-2016_free5.mat'])
rmse=RMS;
for it=2:4
load([dir par{ii} '_amY' mult '_1997-2016_' exp{it} '.mat']);     
rmse=cat(3,rmse,RMS);
end
load('../fig6/stippled_100m.mat')
x100m=x100;
y100m=y100;
%-------------------------------
it=1
ax6=subplot(3,4,6);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
Ratio=rmse(:,:,4)./rmse(:,:,it);
Ratio(Ratio>=2)=9;
Ratio(Ratio>=1.2 & Ratio<2)=8;
Ratio(Ratio>=1.1 & Ratio<1.2)=7;
Ratio(Ratio>=1.05& Ratio<1.1)=6;
Ratio(Ratio>=1   & Ratio<1.05)=5;
Ratio(Ratio>=0.95& Ratio<1)=4;
Ratio(Ratio>=0.9 & Ratio<0.95)=3;
Ratio(Ratio>=0.8 & Ratio<0.9 )=2;
Ratio(Ratio>=0.5 & Ratio<0.8 )=1;
Ratio(Ratio>=0   & Ratio<0.5 )=0;
%
m_pcolor(lon,lat,10-Ratio);shading interp;
caxis([0 10]);colormap(ax6,cmap10);
m_plot(x100m,y100m,'k.','MarkerSize',mk);
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
set(findall(gcf,'-property','FontSize'),'FontSize',14);
axis image off
%%--------
it=2
ax7=subplot(3,4,7);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
Ratio=rmse(:,:,4)./rmse(:,:,it);
Ratio(Ratio>=2)=9;
Ratio(Ratio>=1.2 & Ratio<2)=8;
Ratio(Ratio>=1.1 & Ratio<1.2)=7;
Ratio(Ratio>=1.05& Ratio<1.1)=6;
Ratio(Ratio>=1   & Ratio<1.05)=5;
Ratio(Ratio>=0.95& Ratio<1)=4;
Ratio(Ratio>=0.9 & Ratio<0.95)=3;
Ratio(Ratio>=0.8 & Ratio<0.9 )=2;
Ratio(Ratio>=0.5 & Ratio<0.8 )=1;
Ratio(Ratio>=0   & Ratio<0.5 )=0;
%
m_pcolor(lon,lat,10-Ratio);shading interp;
caxis([0 10]);colormap(ax7,cmap10);
m_plot(x100,y100,'k.','MarkerSize',mk);
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
set(findall(gcf,'-property','FontSize'),'FontSize',14);
axis image off
%----
it=3
ax8=subplot(3,4,8);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',31);
Ratio=rmse(:,:,4)./rmse(:,:,it);
Ratio(Ratio>=2)=9;
Ratio(Ratio>=1.2 & Ratio<2)=8;
Ratio(Ratio>=1.1 & Ratio<1.2)=7;
Ratio(Ratio>=1.05& Ratio<1.1)=6;
Ratio(Ratio>=1   & Ratio<1.05)=5;
Ratio(Ratio>=0.95& Ratio<1)=4;
Ratio(Ratio>=0.9 & Ratio<0.95)=3;
Ratio(Ratio>=0.8 & Ratio<0.9 )=2;
Ratio(Ratio>=0.5 & Ratio<0.8 )=1;
Ratio(Ratio>=0   & Ratio<0.5 )=0;
%
m_pcolor(lon,lat,10-Ratio);shading interp;
caxis([0 10]);colormap(ax8,cmap10);
m_plot(x100,y100,'k.','MarkerSize',mk);
m_coast('patch',[.7 .7 .7],'edgecolor','none');
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
colorbar('off')
set(findall(gcf,'-property','FontSize'),'FontSize',14);
axis image off
%%
ii=3
load(['../figS5/' par{ii} '_am_1997-2016_free5.mat'])
rmse=RMS;
for it=2:4
load([dir par{ii} '_amY' mult '_1997-2016_' exp{it} '.mat']);    
rmse=cat(3,rmse,RMS);
end
it=1;
ax10=subplot(3,4,10);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',35);
Ratio=rmse(:,:,4)./rmse(:,:,it);
Ratio(Ratio>=2)=9;
Ratio(Ratio>=1.2 & Ratio<2)=8;
Ratio(Ratio>=1.1 & Ratio<1.2)=7;
Ratio(Ratio>=1.05& Ratio<1.1)=6;
Ratio(Ratio>=1   & Ratio<1.05)=5;
Ratio(Ratio>=0.95& Ratio<1)=4;
Ratio(Ratio>=0.9 & Ratio<0.95)=3;
Ratio(Ratio>=0.8 & Ratio<0.9 )=2;
Ratio(Ratio>=0.5 & Ratio<0.8 )=1;
Ratio(Ratio>=0   & Ratio<0.5 )=0;
m_pcolor(LON,LAT,10-Ratio);shading interp;
caxis([0 10]);colormap(ax10,cmap10);
m_coast('color','k','linewidth',2);
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
ln7=0:180; lt7(1:181)=70; ln8=180:360; lt8(1:181)=70;
m_line(ln7,lt7,'color','k','linewidth',2);
m_line(ln8,lt8,'color','k','linewidth',2);
colorbar('off')
axis image off
%---------
it=2;
ax11=subplot(3,4,11);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',35);
Ratio=rmse(:,:,4)./rmse(:,:,it);
Ratio(Ratio>=2)=9;
Ratio(Ratio>=1.2 & Ratio<2)=8;
Ratio(Ratio>=1.1 & Ratio<1.2)=7;
Ratio(Ratio>=1.05& Ratio<1.1)=6;
Ratio(Ratio>=1   & Ratio<1.05)=5;
Ratio(Ratio>=0.95& Ratio<1)=4;
Ratio(Ratio>=0.9 & Ratio<0.95)=3;
Ratio(Ratio>=0.8 & Ratio<0.9 )=2;
Ratio(Ratio>=0.5 & Ratio<0.8 )=1;
Ratio(Ratio>=0   & Ratio<0.5 )=0;
m_pcolor(LON,LAT,10-Ratio);shading interp;
caxis([0 10]);colormap(ax11,cmap10);
m_coast('color','k','linewidth',2);
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
ln7=0:180; lt7(1:181)=70; ln8=180:360; lt8(1:181)=70;
m_line(ln7,lt7,'color','k','linewidth',2);
m_line(ln8,lt8,'color','k','linewidth',2);
colorbar('off')
axis image off
%--------
it=3;
ax12=subplot(3,4,12);hold on;
m_proj('stereographic','lat',90,'long',0,'radius',35);
Ratio=rmse(:,:,4)./rmse(:,:,it);
Ratio(Ratio>=2)=9;
Ratio(Ratio>=1.2 & Ratio<2)=8;
Ratio(Ratio>=1.1 & Ratio<1.2)=7;
Ratio(Ratio>=1.05& Ratio<1.1)=6;
Ratio(Ratio>=1   & Ratio<1.05)=5;
Ratio(Ratio>=0.95& Ratio<1)=4;
Ratio(Ratio>=0.9 & Ratio<0.95)=3;
Ratio(Ratio>=0.8 & Ratio<0.9 )=2;
Ratio(Ratio>=0.5 & Ratio<0.8 )=1;
Ratio(Ratio>=0   & Ratio<0.5 )=0;
m_pcolor(LON,LAT,10-Ratio);shading interp;
caxis([0 10]);colormap(ax12,cmap10);
m_coast('color','k','linewidth',2);
m_grid('linestyle','none','xticklabels',[],'yticklabels',[]);
ln7=0:180; lt7(1:181)=70; ln8=180:360; lt8(1:181)=70;
m_line(ln7,lt7,'color','k','linewidth',2);
m_line(ln8,lt8,'color','k','linewidth',2);
cb = colorbar('Location','eastoutside','Ticks',[0:1:10],...
     'Ticklabels',{' ','-1','-0.2','-0.1','-0.05','0','0.05','0.1','0.2','0.5','1'})% 
cb.Label.String = 'RMSE skill score';
set(findall(gcf,'-property','FontSize'),'FontSize',14,'fontweight','bold');
%%
pos=get(cb, 'Position');
set(cb,'Position', [0.9 0.2 0.018 0.6])
pos=get(ax1, 'Position');
set(ax1, 'Position', [pos(1)-0.12 pos(2)-b-0.015 1.5*pos(3) 1.5*pos(4)]);
pos=get(ax2, 'Position');
set(ax2, 'Position', [pos(1)-0.08 pos(2)-b-0.01 c*pos(3) d*pos(4)]);
pos=get(ax3, 'Position');
set(ax3, 'Position', [pos(1)-0.076 pos(2)-b-0.01 c*pos(3) d*pos(4)]);
pos=get(ax4, 'Position');
set(ax4, 'Position', [pos(1)-0.072 pos(2)-b-0.01 c*pos(3) d*pos(4)]);
pos=get(ax5, 'Position');
set(ax5, 'Position', [pos(1)-0.12 pos(2)-b-0.042 1.5*pos(3) 1.5*pos(4)]);
pos=get(ax6, 'Position');
set(ax6, 'Position', [pos(1)-0.076 pos(2)-b-0.037 c*pos(3) d*pos(4)]);
pos=get(ax7, 'Position');
set(ax7, 'Position', [pos(1)-0.073 pos(2)-b-0.037 c*pos(3) d*pos(4)]);
pos=get(ax8, 'Position');
set(ax8, 'Position', [pos(1)-0.069 pos(2)-b-0.037 c*pos(3) d*pos(4)]);
pos=get(ax9, 'Position');
set(ax9, 'Position', [pos(1)-0.11 pos(2)-b-0.078 0.19 0.355]);
pos=get(ax10, 'Position');
set(ax10, 'Position', [pos(1)-0.08 pos(2)-b-0.06 c*pos(3) d*pos(4)]);
pos=get(ax11, 'Position');
set(ax11, 'Position', [pos(1)-0.07 pos(2)-b-0.06 c*pos(3) d*pos(4)]);
pos=get(ax12, 'Position');
set(ax12, 'Position', [pos(1)-0.06 pos(2)-b-0.065 0.2 d*pos(4)]);
% %----------------
 %[left, bottom, width, height]
 %0.1 0.1 0.3 0.7
pos = get(cb1,'Position');
cb1.Position = [0.21 0.7 0.01 0.2];
cb1.Label.String = 'RMSE (%)';
set(findall(gcf,'-property','FontSize'),'FontSize',14,'fontweight','bold');
% %----------------
pos = get(cb2,'Position');
cb2.Position = [0.21 0.38 0.01 0.2];
cb2.Label.String = 'RMSE (m)';
set(findall(gcf,'-property','FontSize'),'FontSize',14,'fontweight','bold');
% 
pos = get(cb3,'Position');
cb3.Position = [0.21 0.08 0.01 0.2];
cb3.Label.String = 'RMSE (K)';
set(findall(gcf,'-property','FontSize'),'FontSize',14,'fontweight','bold');
%print('-depsc2','-r800', ['figS7_landscape.eps'])
%%


