clear all; close all;
reg={'ARC' 'BAB' 'HUB' 'GIN' 'BEA' 'CHU' 'ESB' 'LAP' 'KAR' 'BAR'};
regn={'C. Arctic' 'Baffin Bay' 'Hudson Bay' 'GIN Seas' ...
 'Beaufort Sea' 'Chukchi Sea' 'E. Siberian Sea' 'Laptev Sea' 'Kara Sea' 'Barents Sea'};
%----
load('../fig2/cmap_rwb.mat')
%----
for ibox=1:10
  fname1=['free5_RMSE_SIV_' reg{ibox} '.mat'];
  load(fname1)
  RMS0=RMS; ACC0=ACC; % free5 
  fname2=['AI2_RMSE_SIV_' reg{ibox} '.mat'];
  load(fname2)
  tt=reshape(yRMS,12,9);
  ratio=tt./RMS0';
  Ratio=reshape(ratio,12*9,1);
%%
Ratio(Ratio>=2)=9;
Ratio(Ratio>=1.2 & Ratio<2)=8;
Ratio(Ratio>=1.1 & Ratio<1.2)=7;
Ratio(Ratio>=1.05& Ratio<1.1)=6;
Ratio(Ratio>=1   & Ratio<1.05)=5;
Ratio(Ratio>=0.95& Ratio<1)=4;
Ratio(Ratio>=0.9 & Ratio<0.95)=3;
Ratio(Ratio>=0.8 & Ratio<0.9 )=2;
Ratio(Ratio>=0.5 & Ratio<0.8 )=1;
Ratio(Ratio>=0   & Ratio<0.5 )=0;
RR=reshape(10-Ratio,12,9);
XR=[RR; RR(12,:)];YR=[XR XR(:,9)];
x=[1:13];y=[1:10];
[X,Y]=meshgrid(x,y);
%---
figure; hold on;
set(gcf,'position',[10 10 600 400]);
pcolor(X,Y,YR');%shading interp; 
caxis([0.5 9.5]);colormap(cmap);
tname=['AI2/FREE: ' regn{ibox} ];
title(tname);
colorbar('off')
ylabel('Lead year')
xlim([1 13]);ylim([1 10]);
xticks([1.5:1:12.5]);xticklabels({'Jan','','','Apr','','','Jul','','','Oct','',''});
yticks([1.5:1:9.5]);yticklabels({'1','2','3','4','5','6','7','8','9'})
%-- i_do_ACC==1 
ySS(isnan(yACC))=1;ySS(~isnan(yACC))=NaN;
SS=reshape(ySS,12,9);mask = SS>0;      
    for j=1:9
    for i=1:12
      if SS(i,j)==1
      plot(i+0.5,j+0.5,'k*','markersize',14)   
      end
    end
    end     
%--
set(findall(gcf,'-property','FontSize'),'FontSize',14);
set(gcf,'PaperPositionMode','auto');
end % ibox

